CVE-1999-1270
CVSS4.6
发布时间 :1998-07-11 00:00:00
修订时间 :2008-09-05 16:19:07
NMCO    

[原文]KMail in KDE 1.0 provides a PGP passphrase as a command line argument to other programs, which could allow local users to obtain the passphrase and compromise the PGP keys of other users by viewing the arguments via programs that list process information, such as ps.


[CNNVD]KDE 1.0 Kmail获得密码和妥协其他用户的PGP密钥(CNNVD-199807-011)

        KDE 1.0的Kmail提供了一个PGP代码作为其他程序的命令行参数,本地用户借助类似于ps的列举进程信息的程序,通过查看参数获得PGP代码以及与其他用户的PGP密钥进行折中。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-1270
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-1270
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199807-011
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/1639.php
(VENDOR_ADVISORY)  XF  kde-kmail-passphrase-leak(1639)
http://lists.kde.org/?l=kde-devel&m=90221974029738&w=2
(VENDOR_ADVISORY)  MISC  http://lists.kde.org/?l=kde-devel&m=90221974029738&w=2

- 漏洞信息

KDE 1.0 Kmail获得密码和妥协其他用户的PGP密钥
中危 未知
1998-07-11 00:00:00 2005-10-20 00:00:00
本地  
        KDE 1.0的Kmail提供了一个PGP代码作为其他程序的命令行参数,本地用户借助类似于ps的列举进程信息的程序,通过查看参数获得PGP代码以及与其他用户的PGP密钥进行折中。

- 公告与补丁

        

- 漏洞信息

11965
KDE KMail Command Line PGP Passphrase Disclosure
Information Disclosure
Loss of Confidentiality Upgrade
Vendor Verified

- 漏洞描述

- 时间线

1998-07-11 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站